RowIndexEntry (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class RowIndexEntry

- java.lang.Object
- - org.apache.cassandra.db.RowIndexEntry

- All Implemented Interfaces:
    IMeasurableMemory

      public class RowIndexEntry
      extends java.lang.Object
      implements IMeasurableMemory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RowIndexEntry.Serializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowIndexEntry(long position)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IndexHelper.IndexInfo>` | `columnsIndex()`
    `static RowIndexEntry` | `create(long position, DeletionTime deletionTime, ColumnIndex index)`
    `DeletionTime` | `deletionTime()`
    `boolean` | `isIndexed()`
    `protected int` | `promotedSize(CType type)`
    `long` | `unsharedHeapSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### position

          public final long position

  - ### Constructor Detail

    - #### RowIndexEntry

          public RowIndexEntry(long position)

  - ### Method Detail

    - #### promotedSize

          protected int promotedSize(CType type)

    - #### create

          public static RowIndexEntry create(long position,
                             DeletionTime deletionTime,
                             ColumnIndex index)

    - #### isIndexed

          public boolean isIndexed()

      Returns:
        true if this index entry contains the row-level tombstone and column summary. Otherwise, caller should fetch these from the row header.

    - #### deletionTime

          public DeletionTime deletionTime()

    - #### columnsIndex

          public java.util.List<IndexHelper.IndexInfo> columnsIndex()

    - #### unsharedHeapSize

          public long unsharedHeapSize()

      Specified by:
        `unsharedHeapSize` in interface `IMeasurableMemory`
      Returns:
        the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

Copyright © 2014 The Apache Software Foundation